https://bugzilla.wikimedia.org/show_bug.cgi?id=63151

            Bug ID: 63151
           Summary: VisualEditor uses not existing system messages in user
                    preferences because of not installed skins on
                    wikimedia wikis
           Product: Wikimedia
           Version: wmf-deployment
          Hardware: All
               URL: http://de.wikipedia.org/wiki/Spezial:Einstellungen?use
                    skin=modern#mw-input-wpvisualeditor-enable
                OS: All
            Status: NEW
          Severity: major
          Priority: Unprioritized
         Component: General/Unknown
          Assignee: wikibugs-l@lists.wikimedia.org
          Reporter: bugrepor...@to.mabomuja.de
                CC: raimond.spekk...@gmail.com
       Web browser: ---
   Mobile Platform: ---

On beta features tab in your user preferences
http://de.wikipedia.org/wiki/Spezial:Einstellungen?useskin=modern&uselang=de#mw-prefsection-betafeatures
visualeditor shows a red requirement warning if the current skin is not
supported. But this warning uses not available system messages:

This feature only works with the following skins:
    Vector
    <skinname-apex>
    MonoBook
    <skinname-minerva> 

The problem on wikimedia wikis is that both skins, apex and minerva, are not
installed and so the system messages skinname-apex and skinname-minerva are
missing.

I think there are two options how to fix this bug:
1. add these two messages to localisation files used by wmf
2. test if a skin is available before adding it to the skin list of the warning
message

-- 
You are receiving this mail because:
You are the assignee for the bug.
You are on the CC list for the bug.
_______________________________________________
Wikibugs-l mailing list
Wikibugs-l@lists.wikimedia.org
https://lists.wikimedia.org/mailman/listinfo/wikibugs-l

Reply via email to